=== debian/changelog ===
tfortune (1.0.0-2) unstable; urgency=low

  * Fallback to system-wide epigram directory.
  * New data package: "tfortunes" which contains ~200 epigrams.

 -- Andre Noll <maan@tuebingen.mpg.de>  Tue, 18 Jun 2019 18:33:25 +0100

tfortune (1.0.0-1) unstable; urgency=low

  * Initial Release. Closes: #929467

 -- Andre Noll <maan@tuebingen.mpg.de>  Mon, 20 May 2019 16:47:31 +0100
