=== debian/changelog ===
tfortune (1.0.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:48 +1100

tfortune (1.0.1-1ubuntu1) noble; urgency=medium

  * Remove dependency on shared library, ${shlib:Depends} is working
    these days.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 17:10:28 +0100

tfortune (1.0.1-1build1) noble; urgency=high

  * No change rebuild against liblopsub1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:56:58 +0100

tfortune (1.0.1-1) unstable; urgency=low

  * No changes relative to 1.0.0-2.

 -- Andre Noll <maan@tuebingen.mpg.de>  Thu, 05 Sep 2019 12:21:38 +0200
