=== debian/control ===
Source: tfortune
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andre Noll <maan@tuebingen.mpg.de>
Build-Depends: m4, flex, bison, debhelper (>= 10.0), autoconf, liblopsub-dev
Standards-Version: 4.3.0
Homepage: http://people.tuebingen.mpg.de/maan/tfortune/
Vcs-Browser: http://git.tuebingen.mpg.de/tfortune.git
Vcs-Git: git://git.tuebingen.mpg.de/tfortune/

Package: tfortune
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tfortunes
Description: Fortune Cookies with Tags
 Like fortune(6), tfortune is a Unix command line utility which prints
 a random epigram. Epigrams are stored as plain text files, but they
 must be annotated with tags to make full use of the features which
 tfortune offers over other implementations.
 .
 Tfortune has a built-in matching language for epigrams. User-supplied
 tag expressions define subsets of admissible epigrams. If a tag
 expression is given, epigrams are picked from the admissible subset
 only.

Package: tfortunes
Architecture: all
Multi-Arch: foreign
Depends: tfortune, ${misc:Depends}
Description: Data files for tfortune
 This provides a small set of tagged epigrams for tfortune. These are
 only used if no personal epigrams are found in the per-user epigram
 directory.
 .
  All epigrams are in English language and are considered
  non-offensive. They were mostly selected from public mailing lists.
