## tfortune 1.0.2

=== Makefile ===
--- 
+++ 
@@ -24,12 +24,12 @@
 AUTHOR := Andre Noll
 EMAIL := maan@tuebingen.mpg.de
 COPYRIGHT_YEAR := 2019
-PACKAGE_HOMEPAGE := http://people.tuebingen.mpg.de/maan/$(PACKAGE)/
-CLONE_URL := git://git.tuebingen.mpg.de/$(PACKAGE)/
-GITWEB_URL := http://git.tuebingen.mpg.de/$(PACKAGE).git
+PACKAGE_HOMEPAGE := https://people.tuebingen.mpg.de/maan/$(PACKAGE)/
+CLONE_URL := https://git.tuebingen.mpg.de/$(PACKAGE)/
+GITWEB_URL := https://git.tuebingen.mpg.de/$(PACKAGE).git
 LICENSE := GNU GPL version 3
 LICENSE_URL := https://www.gnu.org/licenses/gpl-3.0-standalone.html
-HOME_URL := http://people.tuebingen.mpg.de/maan/
+HOME_URL := https://people.tuebingen.mpg.de/maan/
 
 define DESCRIPTION1 :=
 	Like fortune(6), tfortune is a Unix command line utility which prints
