=== debian/changelog ===
tfortune (1.0.2-1) unstable; urgency=low

  * Incorporate non-debian changes since v1.0.1

 -- Andre Noll <maan@tuebingen.mpg.de>  Mon, 06 May 2024 02:44:29 +0200

tfortune (1.0.1-3) unstable; urgency=low

  * Improved error diagnostics
  * Switch from git:// and http:// to https://
  * Fix lintian warnings

 -- Andre Noll <maan@tuebingen.mpg.de>  Wed, 24 Apr 2024 18:00:05 +0200

tfortune (1.0.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1032160)
    + Also ask for generating config.h.in, which otherwise goes missing in
      cross builds.
    + Pass --build and --host to configure as we cannot use dh_auto_configure.
    + Also export cross tools for make.

  [ Andre Noll ]
  * Remove hard-coded dependency on liblopsub1. (Closes: #1068608)

 -- Andre Noll <maan@tuebingen.mpg.de>  Sun, 21 Apr 2024 15:52:20 +0200
