=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: tfortune
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andre Noll <maan@tuebingen.mpg.de>
-Build-Depends: m4, flex, bison, debhelper (>= 10.0), autoconf, liblopsub-dev
-Standards-Version: 4.3.0
-Homepage: http://people.tuebingen.mpg.de/maan/tfortune/
-Vcs-Browser: http://git.tuebingen.mpg.de/tfortune.git
-Vcs-Git: git://git.tuebingen.mpg.de/tfortune/
+Maintainer: Andre Noll <maan@tuebingen.mpg.de>
+Build-Depends: m4, flex, bison, debhelper (>= 13), debhelper-compat (=13), autoconf, liblopsub-dev
+Standards-Version: 4.6.2
+Homepage: https://people.tuebingen.mpg.de/maan/tfortune/
+Vcs-Browser: https://git.tuebingen.mpg.de/tfortune.git
+Vcs-Git: https://git.tuebingen.mpg.de/tfortune/
+Rules-Requires-Root: no
 
 Package: tfortune
 Architecture: any
