=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

%:
	dh "$@"

# plain dh_auto_configure uses options which configure does not understand
override_dh_auto_configure:
	./configure --prefix=/usr --bindir=/usr/games \
		--datadir=/usr/share/games --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
# needed because dh_autoreconf overwrites our configure wrapper
override_dh_autoreconf:
	$(MAKE) config.h.in configure.sh
