=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=gittag" \
	https://git.tuebingen.mpg.de/tfortune/ \
	refs/tags/v@ANY_VERSION@
